﻿<Window x:Class="Aufgabe_Shoppinglist.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:local="clr-namespace:Aufgabe_Shoppinglist"
        mc:Ignorable="d"
        Title="Shoppinglist" Height="420" Width="800">
	<Grid>
		<Grid x:Name="MainGrid" Visibility="Hidden">
			<Grid.ColumnDefinitions>
				<ColumnDefinition Width="10px"></ColumnDefinition>
				<ColumnDefinition Width="*"></ColumnDefinition>
				<ColumnDefinition Width="3*"></ColumnDefinition>
				<ColumnDefinition Width="*"></ColumnDefinition>
				<ColumnDefinition Width="*"></ColumnDefinition>
				<ColumnDefinition Width="10px"></ColumnDefinition>
			</Grid.ColumnDefinitions>
			<Grid.RowDefinitions>
				<RowDefinition Height="10px"></RowDefinition>
				<RowDefinition Height="35px"></RowDefinition>
				<RowDefinition Height="6*"></RowDefinition>
				<RowDefinition Height="35px"></RowDefinition>
				<RowDefinition Height="10px"></RowDefinition>
			</Grid.RowDefinitions>

			<ComboBox Name="cbItemSelect" Grid.Column="1" Grid.Row="1" Margin="3" Grid.ColumnSpan="3"></ComboBox>
			<Button x:Name="Add_button" Grid.Column="4" Grid.Row="1" Content="Add" Margin="3" Click="Add_button_Click"></Button>

			<ListView Name="item_listView" Grid.Row="2" Grid.Column="1" Grid.ColumnSpan="4" Margin="3" MouseDoubleClick="item_listView_MouseDoubleClick"></ListView>
			<TextBlock Text="CHF 0 " HorizontalAlignment="Right" VerticalAlignment="Center" Name="Total_Cost_Text_Block" Grid.Column="2" Grid.Row="3" FontSize="14px" FontWeight="Bold"></TextBlock>

			<Button x:Name="Switch_Button" Content="Switch Shop" Grid.Row="3" Grid.Column="1" Click="Switch_Button_Click" Margin="3"></Button>
			<Button x:Name="Print_button" Content="Print" Grid.Row="3" Grid.Column="3" Click="Print_button_Click" Margin="3"></Button>
			<Button x:Name="Close_button" Content="Close" Grid.Row="3" Grid.Column="4" Click="Close_button_Click" Margin="3"></Button>
		</Grid>
		
		
		
		<Grid x:Name="ShopSelectionGrid">
		<Grid.ColumnDefinitions>
			<ColumnDefinition Width="10px"></ColumnDefinition>
			<ColumnDefinition Width="*"></ColumnDefinition>
			<ColumnDefinition Width="*"></ColumnDefinition>
			<ColumnDefinition Width="*"></ColumnDefinition>
			<ColumnDefinition Width="10px"></ColumnDefinition>
		</Grid.ColumnDefinitions>
		<Grid.RowDefinitions>
			<RowDefinition Height="10px"></RowDefinition>
			<RowDefinition Height="*"></RowDefinition>
			<RowDefinition Height="2*"></RowDefinition>
			<RowDefinition Height="*"></RowDefinition>
			<RowDefinition Height="10px"></RowDefinition>
		</Grid.RowDefinitions>
		<Image x:Name="CoopIcon" Source="{StaticResource CoopIconSource}" Grid.Column="1" Grid.Row="2" MouseDown="CoopIcon_MouseDown"></Image>
		<Image x:Name="MigrosIcon" Source="{StaticResource MigrosIconSource}" Grid.Column="2" Grid.Row="2" MouseDown="MigrosIcon_MouseDown"></Image>
		<Image x:Name="DennerIcon" Source="{StaticResource DennerIconSource}" Grid.Column="3" Grid.Row="2" MouseDown="DennerIcon_MouseDown"></Image>
		<!--<Button Grid.Column="1" Grid.Row="2" MouseDown="CoopIcon_MouseDown" Content="Coop"></Button>
	<Button Grid.Column="2" Grid.Row="2" MouseDown="MigrosIcon_MouseDown" Content="Migros"></Button>
	<Button Grid.Column="3" Grid.Row="2" MouseDown="DennerIcon_MouseDown" Content="Denner"></Button>-->
	</Grid>
	</Grid>
</Window>
